try {
  self.addEventListener('message', (event) => {
    if (event.data.action === 'skipWaiting') {
      self.skipWaiting()
    }
  })
} catch (error) {
  console.warn('listening to message', {
    error
  })
}

workbox.core.setCacheNameDetails({
  prefix: "vaquant"
});

/**
 * The workboxSW.precacheAndRoute() method efficiently caches and responds to
 * requests for URLs in the manifest.
 * See https://goo.gl/S9QRab
 */
self.__precacheManifest = [].concat(self.__precacheManifest || []);
workbox.precaching.suppressWarnings();
workbox.precaching.precacheAndRoute(self.__precacheManifest, {});